package com.huimv.guowei.admin.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.service.IEnergyElectricityService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@RestController
@RequestMapping("/energy-electricity")
@CrossOrigin
public class EnergyElectricityController {
    @Resource
    private IEnergyElectricityService energyElectricityService;

    @PostMapping("/getElectricity")
    public Result getElectricity(@RequestBody Map<String ,String> paramsMap){
        return energyElectricityService.getElectricity(paramsMap);
    }

    @PostMapping("/listElectricity")
    public Result listElectricity(@RequestBody Map<String ,String> paramsMap){
        return energyElectricityService.listElectricity(paramsMap);
    }
}
