package com.huimv.guowei.admin.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.common.utils.ResultCode;
import com.huimv.guowei.admin.service.IEnvMoveCallService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@RestController
@RequestMapping("/env-move-call")
@CrossOrigin
public class EnvMoveCallController {

    @Autowired
    private IEnvMoveCallService moveCallService;

    @RequestMapping("/listById")
    public Result listById(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return moveCallService.listById(httpServletRequest, paramsMap);
    }

    @RequestMapping("/listWeight")
    public Result listWeight(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return moveCallService.listWeight(httpServletRequest, paramsMap);
    }
}
