package com.huimv.guowei.admin.mapper;

import com.huimv.guowei.admin.entity.EnergyWater;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.guowei.admin.entity.vo.WaterLineVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface EnergyWaterMapper extends BaseMapper<EnergyWater> {

    List<EnergyWater> listDayDetail(String farmId);

    List<EnergyWater> listWeekDetail(String farmId);

    List<EnergyWater> listMonthDetail(String farmId);

    List<EnergyWater> listCustomDetail(@Param("farmId") String farmId,@Param("startDate") String startDate,@Param("endDate") String endDate);

    BigDecimal getDayWater(String farmId);

    BigDecimal getMonthWater(String farmId);

    List<WaterLineVo> listWaterLineDayDetail(String farmId);

    List<WaterLineVo> listWaterLineWeekDetail(String farmId);

    List<WaterLineVo> listWaterLineMonthDetail(String farmId);

    List<WaterLineVo> listWaterLineCustomDetail(String farmId, String startDate, String endDate);
}
